/*
 * livingstatus.sp
 * Copyright (c) 2021 Ed <https://d-rine.com/~ed/>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#define PLUGIN_VERSION		"0.1"
#define PLUGIN_NAME		"Player Living Status"

#include <sourcemod>

public Plugin:myinfo =
{
	name = PLUGIN_NAME,
	author = "EDSHOT",
	description = "Allows players to see who is alive or dead",
	version = PLUGIN_VERSION
};

public void OnPluginStart()
{
	RegConsoleCmd("sm_alive", functionAlive);
	RegConsoleCmd("sm_dead", functionDead);
	LoadTranslations("edshot_livingstatus.phrases");
}

public Action:functionAlive(client, args)
{
	new String:name[64];
	new String:buf[128];

	for (int p = 1; p <= GetMaxClients(); p++)
	{
		if (IsClientInGame(p) && GetClientTeam(p) == 2 && IsPlayerAlive(p))
		{
			GetClientName(p, name, sizeof(name));
			if (IsFakeClient(p))
			{
				Format(buf, sizeof(buf), "[SM] %T [%T: %d]", "BotIsAlive", client, name, "DeathCount", client, GetClientDeaths(p));
				PrintToChat(client, buf);
			}
			else
			{
				Format(buf, sizeof(buf), "[SM] %T [%T: %d]", "PlayerIsAlive", client, name, "DeathCount", client, GetClientDeaths(p));
				PrintToChat(client, buf);
			}
		}
	}
	return Plugin_Handled;
}

public Action:functionDead(client, args)
{
	new String:name[64];
	new String:buf[128];

	for (int p = 1; p <= GetMaxClients(); p++)
	{
		if (IsClientInGame(p) && GetClientTeam(p) == 2 && !IsPlayerAlive(p))
		{
			GetClientName(p, name, sizeof(name));
			if (IsFakeClient(p))
			{
				Format(buf, sizeof(buf), "[SM] %T [%T: %d]", "BotIsDead", client, name, "DeathCount", client, GetClientDeaths(p));
				PrintToChat(client, buf);
			}
			else
			{
				Format(buf, sizeof(buf), "[SM] %T [%T: %d]", "PlayerIsDead", client, name, "DeathCount", client, GetClientDeaths(p));
				PrintToChat(client, buf);
			}
		}
	}
	return Plugin_Handled;
}
